オンデマンドクラスターの管理
この機能は、Enterprise プラン以上でのみ利用できます。
このガイドでは、Zilliz Cloud でオンデマンドクラスターを表示、検査、削除する方法について説明します。
オンデマンドクラスターは、オンデマンド検索ワークロード用のコンピュートを提供します。リクエストが到着すると起動し、アイドル状態になると、クラスター作成時に構成した自動サスペンドタイムアウトに基づいてゼロにスケールバックします。
オンデマンドクラスターを管理するには、対象のプロジェクトで Project Admin である必要があります。ロールと権限の詳細については、プラットフォームユーザーの管理 を参照してください。
すべてのオンデマンドクラスターを表示する
この操作では、プロジェクトおよびリージョン内のオンデマンドクラスターを一覧表示します。
RESTful API を使用する
curl --request GET \
--url "${BASE_URL}/v2/clusters/onDemandClusters?projectId=proj-xxxxxxxxxxxxxxx®ionId=aws-us-west-2" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json"
レスポンス例:
{
"code": 0,
"data": {
"count": 2,
"onDemandClusters": [
{
"projectId": "proj-xxxxxxxxxxxxxxx",
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"clusterName": "Cluster-01",
"regionId": "aws-us-west-2",
"cuSize": 8,
"status": "RUNNING",
"endpoint": "https://proj-xxxxxxxxxxxxxxx.aws-us-west-2.api.zillizcloud.com",
"privateLink": "",
"createdBy": "john.doe@zilliz.com",
"createTime": "2024-04-21T10:15:15Z",
"autoSuspend": 60,
"description": "An on-demand cluster for vector search workloads."
},
{
"projectId": "proj-xxxxxxxxxxxxxxx",
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"clusterName": "Cluster-02",
"regionId": "aws-us-west-2",
"status": "RUNNING",
"cuSize": 8,
"endpoint": "https://proj-xxxxxxxxxxxxxxx.aws-us-west-2.api.zillizcloud.com",
"privateLink": "",
"createdBy": "john.doe@zilliz.com",
"createTime": "2024-04-21T10:15:16Z",
"autoSuspend": 60,
"description": "An on-demand cluster for vector search workloads."
}
]
}
}
Web コンソールを使用する

Zilliz Cloud コンソールで、対象のプロジェクトを開きます。
On-Demand Compute > クラスター に移動します。
クラスター名、クラスター ID、ステータス、CU サイズ、エンドポイント、作成者、作成時刻など、オンデマンドクラスターの一覧を確認します。
オンデマンドクラスターの詳細を確認する
この操作では、クラスター ID を指定して 1 つのオンデマンドクラスターを確認します。
RESTful API を使用する
curl --request GET \
--url "https://${BASE_URL}/v2/on-demand-compute?projectId=proj-09ee1f4b1151d5dd1edbc5®ionId=aws-us-west-2" \
--header "Authorization: Bearer ${API_KEY}" \
--header "Accept: application/json"
レスポンス例:
{
"code": 0,
"data": {
"projectId": "proj-09ee1f4b1151d5dd1edbc5",
"regionId": "aws-us-west-2",
"status": "enabled"
}
}
Web コンソールを使用する

Zilliz Cloud コンソールで、対象のプロジェクトを開きます。
On-Demand Compute > クラスター に移動します。
対象のクラスターをクリックして、詳細を表示します。
クラスターのステータスを理解する
オンデマンドクラスターは、リクエストのアクティビティに基づいてステータスを自動的に変更します。
| ステータス | 説明 |
|---|---|
RUNNING | クラスターにはアクティブなコンピュートリソースがあり、検索またはクエリのリクエストを処理できます。 |
SUSPENDED | 構成したアイドルタイムアウト後に、クラスターがゼロにスケールバックしました。サスペンド中はコンピュートコストが発生しません。 |
DELETING | クラスターは削除中であり、使用できません。 |
サスペンドされたオンデマンドクラスターにリクエストが到着すると、Zilliz Cloud はそのワークロード用のコンピュートリソースを起動します。構成した autoSuspend 期間内にリクエストを受信しなかった場合、クラスターはゼロにスケールバックします。
オンデマンドクラスターの名前を変更する
-
RESTful API を使用する
次の例では、クラスター名を変更します。詳細については、Update On-Demand クラスター を参照してください。
bashcurl --request PATCH \--url "${BASE_URL}/v2/clusters/onDemandClusters/${CLUSTER_ID}" \--header "Authorization: Bearer ${TOKEN}" \--header "OrgId: org-xxxxxxxxxxxxxxxxxxx" \--header "Content-Type: application/json" \-d '{"clusterName": "New Cluster Name"}'出力例は次のとおりです。
json{"code": 0,"data": {"clusterId": "inxx-xxxxxxxxxxxxxxx","prompt": "successfully submitted. Cluster is being upgraded, which is expected to take several minutes. You can access data about the creation progress and status of your cluster by DescribeCluster API. Once the cluster status is RUNNING, you may access your vector database using the SDK."}} -
Web コンソールを使用する
1対象のオンデマンドクラスターに移動します。
2Actions をクリックし、Rename を選択します。
3クラスターの新しい名前を入力し、Save をクリックします。

オンデマンドクラスターの説明を編集する
-
RESTful API を使用する
次の例では、クラスターの説明を変更します。詳細については、Update On-Demand クラスター を参照してください。
bashcurl --request PATCH \--url "${BASE_URL}/v2/clusters/onDemandClusters/${CLUSTER_ID}" \--header "Authorization: Bearer ${TOKEN}" \--header "OrgId: org-xxxxxxxxxxxxxxxxxxx" \--header "Content-Type: application/json" \-d '{"description": ""}'出力例は次のとおりです。
json{"code": 0,"data": {"clusterId": "inxx-xxxxxxxxxxxxxxx","prompt": "successfully submitted. Cluster is being upgraded, which is expected to take several minutes. You can access data about the creation progress and status of your cluster by DescribeCluster API. Once the cluster status is RUNNING, you may access your vector database using the SDK."}} -
Web コンソールを使用する
1対象のオンデマンドクラスターに移動します。
2説明の上にカーソルを置き、Edit description アイコンをクリックします。
3クラスターの新しい説明を入力し、Save をクリックします。

オンデマンドクラスターを変更する
オンデマンドクラスターの名前、説明、自動サスペンド設定などの設定を変更できます。
-
RESTful API を使用する
既存のオンデマンドクラスターの名前、説明、自動サスペンド時間、クエリ CU 数を変更できます。詳細については、Update On-Demand クラスター を参照してください。
bashexport TOKEN="YOUR_API_KEY"export CLUSTER_ID="inxx-xxxxxxxxxxxxxxx"curl --request PATCH \--url "https://${BASE_URL}/v2/clusters/onDemandClusters/in07-7d6ac8697204a6a" \--header "Authorization: Bearer ${API_KEY}" \--header "Accept: application/json" \--header "Content-Type: application/json" \--data-raw '{"autoSuspend": "5m","clusterName": "my-on-demand-updated","description": "Updated on-demand cluster description","cuSize": 32}'出力例は次のとおりです。
bash{"code": 0,"data": {"clusterId": "inxx-xxxxxxxxxxxxxxx","prompt": "Successfully submitted."}} -
Web コンソールを使用する
Web コンソールでは、既存のオンデマンドクラスターのクラスター名、説明、自動サスペンド時間、クエリ CU 数を変更できます。

キープウォームスケジュールを構成する
キープウォームスケジュールを使用すると、毎週繰り返される時間枠の間、オンデマンドクラスターを実行状態に保つことができます。キープウォーム時間枠が開始されると、Zilliz Cloud はオンデマンドクラスターがサスペンドされている場合に再開します。時間枠の間は、Auto Suspend が抑止されます。時間枠が終了すると、オンデマンドクラスターは既存の自動サスペンドポリシーに再び従います。
キープウォームスケジュールは、Auto Suspend を永続的に無効化するものではなく、キープウォーム時間枠が終了したときにオンデマンドクラスターをアクティブにサスペンドするものでもありません。
キープウォーム時間枠の間にオンデマンドクラスターをサスペンドするには、先にキープウォームスケジュールを無効化または削除します。
各オンデマンドクラスターには、1 つのキープウォームスケジュールを設定できます。スケジュールには 1〜10 個の週次ルールを含めることができます。各ルールは組織のシステムタイムゾーンを使用し、曜日、開始時刻、終了時刻を含みます。
RESTful API を使用する
既存のオンデマンドクラスター API を使用して、キープウォームスケジュールを構成します。キープウォーム設定は、作成、詳細取得、更新の各 API の keepWarm オブジェクトで指定します。
キープウォームスケジュールを作成する
オンデマンドクラスターの作成時にキープウォームスケジュールを構成するには、作成リクエストに keepWarm を含めます。
次の例では、平日の 09:00 から 18:00 までのキープウォームスケジュールを設定して、オンデマンドクラスターを作成します。
curl --request POST \
--url "${BASE_URL}/v2/clusters/createOnDemandCluster" \
--header "Authorization: Bearer ${TOKEN}" \
--header "OrgId: org-xxxxxxxxxxxxxxxxxxx" \
--header "Content-Type: application/json" \
-d '{
"projectId": "proj-xxxxxxxxxxxxxxxxxxx",
"regionId": "aws-us-west-2",
"cuSize": 8,
"clusterName": "my-on-demand-cluster",
"autoSuspend": "5m",
"keepWarm": {
"enabled": true,
"schedules": [
{
"daysOfWeek": [1, 2, 3, 4, 5],
"startTime": "09:00",
"endTime": "18:00"
}
]
}
}'
レスポンス例:
{
"code": 0,
"data": {
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"prompt": "successfully submitted. Cluster is being created."
}
}
キープウォームスケジュールを表示する
次の例では、オンデマンドクラスターのキープウォームスケジュールを確認します。
curl --request GET \
--url "${BASE_URL}/v2/clusters/onDemandClusters/${CLUSTER_ID}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "OrgId: org-xxxxxxxxxxxxxxxxxxx" \
--header "Accept: application/json"
レスポンス例:
{
"code": 0,
"data": {
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"clusterName": "my-on-demand-cluster",
"status": "RUNNING",
"autoSuspend": 300,
"keepWarmActive": true,
"keepWarm": {
"enabled": true,
"systemTimezone": "Asia/Shanghai",
"schedules": [
{
"daysOfWeek": [1, 2, 3, 4, 5],
"startTime": "09:00",
"endTime": "18:00"
}
],
"nextTransitionAt": "2026-09-15T10:00:00Z",
"nextTransitionType": "END"
}
}
}
スケジュールを構成していない場合、keepWarm は null になり、keepWarmActive は false になります。
キープウォームスケジュールを更新する
キープウォームスケジュールを更新するには、完全な keepWarm オブジェクトを含む PATCH リクエストを送信します。Zilliz Cloud は既存のスケジュールを送信されたスケジュールに置き換えます。
次の例では、既存のオンデマンドクラスターのキープウォームスケジュールを更新します。
curl --request PATCH \
--url "${BASE_URL}/v2/clusters/onDemandClusters/${CLUSTER_ID}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "OrgId: org-xxxxxxxxxxxxxxxxxxx" \
--header "Content-Type: application/json" \
-d '{
"keepWarm": {
"enabled": true,
"schedules": [
{
"daysOfWeek": [1, 2, 3, 4, 5],
"startTime": "09:00",
"endTime": "18:00"
}
]
}
}'
レスポンス例:
{
"code": 0,
"data": {
"clusterId": "inxx-xxxxxxxxxxxxxxx"
}
}
キープウォームスケジュールを無効化する
キープウォームスケジュールを無効化するには、完全な keepWarm オブジェクトを含む PATCH リクエストを送信し、enabled を false に設定します。
スケジュールを無効化しても、構成済みのすべてのルールは保持されます。オンデマンドクラスターがキープウォーム時間枠にある場合、Zilliz Cloud はキープウォームモードを直ちに終了します。スケジュールによってオンデマンドクラスターがサスペンドされることはありません。
次の例では、既存のキープウォームスケジュールを無効化します。
curl --request PATCH \
--url "${BASE_URL}/v2/clusters/onDemandClusters/${CLUSTER_ID}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "OrgId: org-xxxxxxxxxxxxxxxxxxx" \
--header "Content-Type: application/json" \
-d '{
"keepWarm": {
"enabled": false,
"schedules": [
{
"daysOfWeek": [1, 2, 3, 4, 5],
"startTime": "09:00",
"endTime": "18:00"
}
]
}
}'
レスポンス例:
{
"code": 0,
"data": {
"clusterId": "inxx-xxxxxxxxxxxxxxx"
}
}
キープウォームスケジュールを削除する
キープウォームスケジュールを削除すると、スケジュールとすべてのルールが削除されます。オンデマンドクラスター、データ、イベント、監査レコードは削除されません。
キープウォームスケジュールを削除するには、空の schedules リストを含む PATCH リクエストを送信します。
curl --request PATCH \
--url "${BASE_URL}/v2/clusters/onDemandClusters/${CLUSTER_ID}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "OrgId: org-xxxxxxxxxxxxxxxxxxx" \
--header "Content-Type: application/json" \
-d '{
"keepWarm": {
"enabled": false,
"schedules": []
}
}'
レスポンス例:
{
"code": 0,
"data": {
"clusterId": "inxx-xxxxxxxxxxxxxxx"
}
}
Web コンソールを使用する

対象のオンデマンドクラスターに移動します。
Actions メニューを開き、Manage Keep-warm をクリックします。
Enable Keep-warm Schedule をオンにします。
Schedule Rules で、1 つ以上の週次ルールを追加します。
各ルールについて、繰り返し曜日、開始時刻、終了時刻を構成します。
次回の切り替え時刻を確認します。
Save をクリックします。
クラスターの詳細ページには、キープウォームスケジュールのステータスが表示されます。スケジュールが構成されている場合は、次回の切り替え時刻も表示されます。
オンデマンドクラスターが現在キープウォーム時間枠にある場合、ページには主要なクラスターステータスの横に補助的な Keep-warm タグが表示されます。

スケジュールを無効化しても、構成済みのすべてのルールは保持されます。オンデマンドクラスターがキープウォーム時間枠にある場合、Zilliz Cloud はキープウォームモードを直ちに終了します。スケジュールによってオンデマンドクラスターがサスペンドされることはありません。キープウォームスケジュールを無効化するには、次に示すように Enable Keep-warm Schedule をオフにして Save をクリックします。

オンデマンドクラスターを削除する
オンデマンドクラスターを削除すると、直ちに削除され、復元できません。この操作は元に戻せません。
RESTful API を使用する
curl --request DELETE \
--url "${BASE_URL}/v2/clusters/onDemandClusters/inxx-xxxxxxxxxxxxxxx" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json"
レスポンス例:
{
"code": 0,
"data": {
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"status": "DELETING"
}
}
Web コンソールを使用する

Zilliz Cloud コンソールで、対象のプロジェクトを開きます。
On-Demand Compute > クラスター に移動します。
対象のオンデマンドクラスターを選択します。
クラスターを削除し、操作を確認します。
関連トピック
-
オンデマンドクラスターを作成するには、オンデマンドクラスターの作成 を参照してください。
-
プロジェクトエンドポイント経由で接続するには、オンデマンド検索用の接続 を参照してください。